> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# [CR9] Answer Custom Question

> Answer a custom research question about a company using cached data and LLM.



## OpenAPI

````yaml /api-reference/v1/v1.1.0_openapi.json post /action/company_research_v2_answer_question
openapi: 3.0.0
info:
  version: 1.1.0
  title: AI Actions - Get Data
  description: API specifications for 'Get Data' category AI actions.
  license:
    name: MIT
servers:
  - url: https://api-lr.agent.ai/v1
security:
  - bearerAuth: []
paths:
  /action/company_research_v2_answer_question:
    post:
      tags:
        - Company Research
      summary: '[CR9] Answer Custom Question'
      description: >-
        Answer a custom research question about a company using cached data and
        LLM.
      operationId: companyResearchV2AnswerQuestion
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                company_id:
                  type: string
                  description: ID of the company to research.
                question:
                  type: string
                  description: >-
                    Your research question (e.g., 'What is their pricing
                    model?').
                use_live_data:
                  type: boolean
                  description: Include web search for more current information.
                  default: true
                output_variable_name:
                  type: string
                  description: >-
                    Variable name for the answer. Access answer with
                    {{question_answer.answer}}.
                  default: question_answer
                  pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
              required:
                - company_id
                - question
                - output_variable_name
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '401':
          description: Unauthorized - invalid or missing bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
components:
  schemas:
    ActionResponse:
      type: object
      properties:
        status:
          type: integer
          format: int32
          description: HTTP status code of the action response
        response:
          type: object
          description: Response data from the action
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from your account
        ([https://agent.ai/user/integrations#api](https://agent.ai/user/integrations#api))

````